﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;

namespace PrintClient
{
    public partial class Form1 : Form
    {

        // адрес и порт сервера, к которому будем подключаться
        static int port = 8005; // порт сервера
        static string address = "192.168.26.2"; // адрес сервера


        public Form1()
        {
            InitializeComponent();
        }

        private void richTextBox1_Click(object sender, EventArgs e)
        {
            richTextBox1.Text = "";
        }

        private void textBox1_Click(object sender, EventArgs e)
        {
            textBox1.Text = "";
        }

        private void button1_Click(object sender, EventArgs e)
        {

            try
            {
                //конструктор сокета
                richTextBox2.Text = "Организуем соединение";
                IPEndPoint ipPoint = new IPEndPoint(IPAddress.Parse(address), port);
                Socket socket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                System.Threading.Thread.Sleep(3000);

                // подключаемся к удаленному хосту
                socket.Connect(ipPoint);
                string message = richTextBox1.Text + ":" + textBox1.Text;
                byte[] data = Encoding.Unicode.GetBytes(message);
                socket.Send(data);
                richTextBox2.Text = richTextBox2.Text + "\n" + "Посылаем сообщение на сервер";
                System.Threading.Thread.Sleep(3000);


                // получаем ответ
                data = new byte[256]; // буфер для ответа
                StringBuilder builder = new StringBuilder();
                int bytes = 0; // количество полученных байт
                do
                {
                    bytes = socket.Receive(data, data.Length, 0);
                    builder.Append(Encoding.Unicode.GetString(data, 0, bytes));
                }
                while (socket.Available > 0);

                richTextBox2.Text = richTextBox2.Text + "\n\n" + "ответ сервера: " + builder.ToString();
                System.Threading.Thread.Sleep(3000);



                // закрываем сокет
                socket.Shutdown(SocketShutdown.Both);
                socket.Close();

            }
            catch(Exception ex)
            {
                richTextBox2.Text = richTextBox2.Text + "\n\n" + "ошибка: " + "\n" + ex.Message;

            }

        }
    }
}
