﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Drawing.Printing;

namespace PrintServer
{
    public partial class Form1 : Form
    {
        static int port = 8005; // порт для приема входящих запросов
        string printMessage, pinMessage;

        public Form1()
        {
            InitializeComponent();


        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            if (pinMessage == textBox1.Text)
            {
                button1.Enabled = true;

            } else {
                button1.Enabled = false;
            }
        }

        void PrintPageHandler(object sender, PrintPageEventArgs e)
        {
            e.Graphics.DrawString(printMessage, new Font("Arial", 72), Brushes.Black, 0, 0);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // объект для печати
            PrintDocument printDocument = new PrintDocument();

            // обработчик события печати
            printDocument.PrintPage += PrintPageHandler;

            // диалог настройки печати
            PrintDialog printDialog = new PrintDialog();

            // установка объекта печати для его настройки
            printDialog.Document = printDocument;

            // если в диалоге было нажато ОК
            if (printDialog.ShowDialog() == DialogResult.OK)
                printDialog.Document.Print(); // печатаем

        }

        private void button2_Click(object sender, EventArgs e)
        {

            button2.Text = "Ждем";
            button2.Enabled = false;

            // получаем адреса для запуска сокета
            IPEndPoint ipPoint = new IPEndPoint(IPAddress.Parse("192.168.26.2"), port);
            //// создаем сокет
            Socket listenSocket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
            try
            {
                // связываем сокет с локальной точкой, по которой будем принимать данные
                listenSocket.Bind(ipPoint);

            //    // начинаем прослушивание
                listenSocket.Listen(10);

                System.Threading.Thread.Sleep(500);

                bool isListen = true;
                while (isListen)
                {
                    Socket handler = listenSocket.Accept();
                    // получаем сообщение
                    StringBuilder builder = new StringBuilder();
                    int bytes = 0; // количество полученных байтов
                    byte[] data = new byte[256]; // буфер для получаемых данных

                    do
                    {
                        bytes = handler.Receive(data);
                        builder.Append(Encoding.Unicode.GetString(data, 0, bytes));
                    }
                    while (handler.Available > 0);

                    //richTextBox1.Text = DateTime.Now.ToShortTimeString() + ": " + builder.ToString() + "\n\n";


                    // отправляем ответ
                    string message = "ваше сообщение доставлено";
                    data = Encoding.Unicode.GetBytes(message);
                    handler.Send(data);
                    // закрываем сокет
                    handler.Shutdown(SocketShutdown.Both);
                    handler.Close();
                    isListen = false;

                    string getMessage = builder.ToString();
                    textBox1.Visible = true;
                    label1.Text = "Введите PIN";

                    string[] words = getMessage.Split(':');
                    printMessage = words[0];
                    pinMessage = words[1];



                }
            }
            catch (Exception ex)
            {
                //richTextBox1.Text = richTextBox1.Text + ex.Message + "\n\n";

            }

        }
    }
    
}
